Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#51635 - [dkms] Kernel hooks executed when upgrading only docs

Attached to Project: Arch Linux
Opened by Tomas Mudrunka (harvie) - Wednesday, 02 November 2016, 02:10 GMT
Last edited by Sébastien Luttringer (seblu) - Sunday, 01 January 2017, 05:24 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Sébastien Luttringer (seblu)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description: i have linux-zen and linux-zen-headers in IgnorePkg. i've done pacman -Syu and it upgraded linux-zen-docs. But it still resulted in kernel hooks being run. This (eg.) uninstalls dkms modules for currently installed kernel and fails to build them for kernel that is not yet upgraded. like this:

pre:

(1/1) Remove DKMS modules
==> dkms remove -m tp_smapi-dkms -v 0.41 -k 4.8.4-1-zen
==> dkms remove -m vboxhost -v 5.1.8_OSE -k 4.8.4-1-zen

post:

(1/4) Install DKMS modules
==> No kernel 4.8.6-1-zen modules. You must install them to use DKMS!




Such hooks should be run when kernel (headers) are upgraded, not when docs are upgraded!
Closed by  Sébastien Luttringer (seblu)
Sunday, 01 January 2017, 05:24 GMT
Reason for closing:  Fixed
Comment by Doug Newgard (Scimmia) - Wednesday, 02 November 2016, 04:24 GMT
I'm tempted to close this as a partial update issue, but we'll see what the maintainer thinks.
Comment by Tomas Mudrunka (harvie) - Wednesday, 02 November 2016, 16:48 GMT
I understand, however i don't think it makes any sense that something is dependent on version of docs...
I mean it's like manpages and stuff... no actual code. it should not have any actual effect on the system.
Comment by Doug Newgard (Scimmia) - Wednesday, 02 November 2016, 17:06 GMT
It also makes non sense to update the docs without everything else.

Take a look at the hook, it's doesn't look at packages, it looks at the filesystem.
Comment by Tomas Mudrunka (harvie) - Thursday, 03 November 2016, 10:07 GMT
Oh now i understand...

So can you please exclude this from the hooks?

/usr/lib/modules/*/build/Documentation/
Comment by Sébastien Luttringer (seblu) - Thursday, 03 November 2016, 21:07 GMT
It's the same bug than  FS#50370 . New version in testing should fix the issue. Please let me know if everything is ok.

Loading...